Bug 1402445 - Review Request: myman - text mode videogame
Summary: Review Request: myman - text mode videogame
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2016-12-07 14:56 UTC by Jiří Vymazal
Modified: 2017-05-06 06:47 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-06 06:47:33 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description Jiří Vymazal 2016-12-07 14:56:07 UTC
Spec URL: https://pagure.io/myman_package_review/raw/master/f/myman.spec
SRPM URL: https://pagure.io/myman_package_review/raw/master/f/myman-0.7.0-1.fc25.src.rpm
Description: text-mode videogame inspired by Namco's Pac-Man on terminal
Fedora Account System Username:jvymazal

http://koji.fedoraproject.org/koji/taskinfo?taskID=16787694

Comment 1 Raphael Groner 2016-12-07 22:36:02 UTC
Are you interested in a review swap? Maybe you can take a look into bug #1402590.

Comment 2 Raphael Groner 2017-02-06 22:00:18 UTC
Taken. :)

Comment 3 Jiří Vymazal 2017-02-08 12:52:19 UTC
Thanks Raphael :)

Comment 4 Raphael Groner 2017-02-26 22:39:55 UTC
APPROVED

I don't see any critical blocker that prevents from to fix the minor issues noted below while importing.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYRIGHT is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
=> Ignore and I wouldn't even include that file. Same text as in LICENSE.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Public domain", "FSF All Permissive",
     "Unknown or generated", "*No copyright* Public domain". 636 files have
     unknown license. Detailed output of licensecheck in /home/builder
     /fedora-review/1402445-myman/licensecheck.txt
=> README clearly states MIT as the main license.

[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/myman
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/myman
===> Add to %files.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[?]: Package uses nothing in %doc for runtime.
===> Remove INSTALL LICENSE and VERSION from %doc. They're are useless.

[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 184320 bytes in 11 files.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in myman-
     debuginfo
===> False positive. debuginfo gets generated.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 5847040 bytes in /usr/share
===> It's worth to consider a subpackage named myman-data.

[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: myman-0.7.0-1.fc26.x86_64.rpm
          myman-debuginfo-0.7.0-1.fc26.x86_64.rpm
          myman-0.7.0-1.fc26.src.rpm
myman.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
myman.x86_64: W: spelling-error %description -l en_US XCurses -> X Curses, Curses, Excuses
myman.x86_64: W: spelling-error %description -l en_US libcaca -> biblical
myman.x86_64: W: spelling-error %description -l en_US aalib -> alibi
myman.x86_64: W: install-file-in-docs /usr/share/doc/myman/INSTALL
myman-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/myman-0.7.0/src/myman.c
myman.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
myman.src: W: spelling-error %description -l en_US XCurses -> X Curses, Curses, Excuses
myman.src: W: spelling-error %description -l en_US libcaca -> biblical
myman.src: W: spelling-error %description -l en_US aalib -> alibi
3 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (debuginfo)
-------------------
Checking: myman-debuginfo-0.7.0-1.fc26.x86_64.rpm
myman-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/myman-0.7.0/src/myman.c
1 packages and 0 specfiles checked; 0 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
myman-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/myman-0.7.0/src/myman.c
myman.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
myman.x86_64: W: spelling-error %description -l en_US XCurses -> X Curses, Curses, Excuses
myman.x86_64: W: spelling-error %description -l en_US libcaca -> biblical
myman.x86_64: W: spelling-error %description -l en_US aalib -> alibi
myman.x86_64: W: install-file-in-docs /usr/share/doc/myman/INSTALL
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
myman-debuginfo (rpmlib, GLIBC filtered):

myman (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libncurses.so.6()(64bit)
    libtinfo.so.6()(64bit)
    man-db
    rtld(GNU_HASH)



Provides
--------
myman-debuginfo:
    myman-debuginfo
    myman-debuginfo(x86-64)

myman:
    myman
    myman(x86-64)



Source checksums
----------------
https://sourceforge.net/projects/myman/files/myman/myman-0.7.0/myman-0.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 31a94b2c8949a35d18eed35e8f685801fbfeb71418a3c01eafbf710ce95a292b
  CHECKSUM(SHA256) upstream package : 31a94b2c8949a35d18eed35e8f685801fbfeb71418a3c01eafbf710ce95a292b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1402445
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Raphael Groner 2017-03-02 00:33:56 UTC
Ping? Any news here? Please request needed branches in PkgDB and build packages.

Comment 6 Jiří Vymazal 2017-03-02 09:03:47 UTC
Sorry for delay, thanks for needinfo flag, branches in PkgDB requested, and updated pagure review with removed superfluous asterisk the error with not owning /usr/share/ dir should now go away, also added the data sub-package and fixed few other details

Comment 7 Gwyn Ciesla 2017-03-02 13:44:19 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/myman

Comment 8 Raphael Groner 2017-03-02 19:59:39 UTC
Can we close here as there are some packages available in rawhide and f26?

Comment 9 jiri vanek 2017-03-23 07:31:25 UTC
(In reply to Raphael Groner from comment #8)
> Can we close here as there are some packages available in rawhide and f26?

Are there?-(


if so,  maybe do an update? ideally also for older fedoras?
Thanx!

Comment 10 Jiří Vymazal 2017-03-23 08:24:41 UTC
There are both rawhide and f26 builds available.
I have originally done it only for Rawhide (26 at that time) as release is soon, but sure, can do update for older ones as well. Additional branches requested, will update once granted.

Comment 11 jiri vanek 2017-03-23 09:51:13 UTC
(In reply to Jiří Vymazal from comment #10)
> There are both rawhide and f26 builds available.
> I have originally done it only for Rawhide (26 at that time) as release is
> soon, but sure, can do update for older ones as well. Additional branches
> requested, will update once granted.

Can you please post links to the builds(and updates)? All builds I found have permissions denied on downloading rpms, and I found no update.

Comment 12 Fedora Update System 2017-03-23 09:53:32 UTC
myman-0.7.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d5594bf58f

Comment 13 Fedora Update System 2017-03-23 09:53:38 UTC
myman-0.7.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-997f08f238

Comment 14 Jiří Vymazal 2017-03-23 10:10:03 UTC
as for the builds for f26/rawhide builds can be seen here: https://apps.fedoraproject.org/packages/myman/builds/ 

or direct links - 
f26: https://koji.fedoraproject.org/koji/buildinfo?buildID=863746
rawhide(f27): https://koji.fedoraproject.org/koji/buildinfo?buildID=863737

Comment 15 jiri vanek 2017-03-23 10:38:48 UTC
Thanx!

The bad builds I encountered are no longer valid. Maybe missing updates were confusing koji?

Comment 16 Fedora Update System 2017-03-23 19:23:18 UTC
myman-0.7.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d5594bf58f

Comment 17 Fedora Update System 2017-03-23 19:24:31 UTC
myman-0.7.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-997f08f238

Comment 18 Fedora Update System 2017-03-31 23:48:08 UTC
myman-0.7.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-04-01 00:24:56 UTC
myman-0.7.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Raphael Groner 2017-05-06 06:47:33 UTC
It seems bodhi missed to closed here.


Note You need to log in before you can comment on or make changes to this bug.